./lang/pear, PEAR Base System for PHP

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.10.7nb1, Package name: php71-pear-1.10.7nb1, Maintainer: pkgsrc-users

The PEAR package contains:
* the PEAR installer, for creating, distributing and installing packages
* the PEAR_Exception PHP5 error handling mechanism
* the PEAR_ErrorStack advanced error handling mechanism
* the PEAR_Error error handling mechanism
* the OS_Guess class for retrieving info about the OS where PHP is running on
* the System class for quick handling of common operations with files and
directories
* the PEAR base class


Required to run:
[lang/php71]

Required to build:
[pkgtools/cwrappers]

Master sites:


Version history: (Expand)


CVS history: (Expand)


   2019-02-07 14:40:57 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
lang/pear: fix broken package with previous commit

Fix broken package with previous commit.

* Make Archive_Tar to 1.4.5 which I have the distfile.
* Upload Archive_Tar-1.4.5.tgz to MASTER_SITE_LOCAL.
* Add patch to update Archive/Tar.php to 1.4.6 from GitHub.

No PKGREVISION bump since it was broken.
   2019-02-03 15:06:58 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
lang/pear: update Archive_Tar pear package to 1.4.6

Update Archive_Tar pear package to 1.4.6.

Bump PKGREVISION.

1.4.4 (2018-12-20)

* Fix Bug #21058: Long symlinks are not supported [mrook]

* Fix Bug #23782: Prevent phar:// files from being extracted [mrook]

1.4.5 (2019-02-01)

* Fix Bug #23788: Relative symlinks are broken [mrook]

1.4.6 (2019-02-01)

* Improve path traversal detection for forward and backward slashes
   2018-12-15 17:48:05 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
lang/pear: update to 1.10.7

PEAR 1.10.7

Release date: 2018-12-05 15:16 UTC
Release state: stable
Release uploaded by: ashnazg

Changelog:

* PR #79: Prevent Unable to find the wrapper "channel" Warning
* PR #80: fix Warning: "continue" targeting switch is equivalent to
	  "break". Did you mean to use "continue 2"
* PR #81: Add flags to PECL shell script for shared extensions
   2018-09-23 16:56:26 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
lang/pear: update to 1.10.6

1.10.6 (2018-08-22 15:11 UTC)

Changelog:

* PR #70: Fix notice undefined variable metadata_dir
* PR #71: fix Warning: count(): Parameter must be an array or an object
* PR #74: Bug #23744 Remove is_executable check
* Bug #23744: The is_executable check in the Which method when run on Windows
  is unnecessary
* PR #75: Migrate old while(list() = each()) constructs to foreach
* PR #76: Fix PHP Warning: "continue" targeting switch is equivalent to
  "break"
* PR #77: proxy server auth
* PR #72: Correctly authenticate at proxy server
* PR #78: array or Countable error in 7.2
   2018-07-04 15:40:45 by Jonathan Perkin | Files touched by this commit (423)
Log message:
*: Move SUBST_STAGE from post-patch to pre-configure

Performing substitutions during post-patch breaks tools such as mkpatches,
making it very difficult to regenerate correct patches after making changes,
and often leading to substituted string replacements being committed.
   2017-07-06 15:34:46 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
Update pear to 1.10.5.

PEAR-1.10.5					2017-06-27 08:31 UTC

Changelog:

* Bug #21222: PHP 7.2 compatibility: Upgrade to Archive_Tar 1.4.3 needed

XML_Util-1.4.3					2017-06-28 15:26 UTC

Changelog:

* Decrease minimum PEAR version to 1.9.0 to allow PEAR upgrades
   2017-06-12 16:09:19 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
Update included Archive_Tar pear package to 1.4.3.

Archive_Tar 1.4.3					2017-06-11 13:32 UTC

Changelog:

* Fix Bug #21218: Cannot use result of built-in function in write context in
  PHP 7.2.0alpha1 [mrook]

Bump PKGREVISION.
   2017-05-28 13:18:08 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
Update pear to 1.10.4.

pkgsrc change: instead of using old PEAR.php, use PEAR.php included in
a distfile.

PEAR 1.10.4			2017-04-26 14:39 UTC

Changelog:

* Bug #18102: pear install does not fail on error
* PR #67: fix warning during pecl list-all